Bug 6672 - ReviewAssignmentDAO->getCompletedReviewCounts() no longer gets called, and should be removed
ReviewAssignmentDAO->getCompletedReviewCounts() no longer gets called, and sh...
Status: NEW
Product: OJS
Classification: Unclassified
Component: Reviewers
2.4.x
All All
: P3 normal
Assigned To: PKP Support
Depends on: 6263
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-06 22:54 PDT by Mike Kamermans
Modified: 2012-09-21 14:43 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
this patch removes ReviewAssignmentDAO->getCompletedReviewCounts (1.22 KB, patch)
2011-06-06 22:57 PDT, Mike Kamermans
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kamermans 2011-06-06 22:54:49 PDT
The patch for bug #6263 removes the only line that made use of classes/submission/reviewAssignment/ReviewAssignmentDAO->getCompletedReviewCounts() - it also generated incorrect values, and is best removed to prevent dead code.
Comment 1 Mike Kamermans 2011-06-06 22:57:06 PDT
Created attachment 3539 [details]
this patch removes ReviewAssignmentDAO->getCompletedReviewCounts
Comment 2 Alec Smecher 2011-06-07 08:00:59 PDT
What about getCompletedReviewCountsForReviewForms? We were talking about that as well in bug #6263.
Comment 3 Mike Kamermans 2011-06-07 09:37:57 PDT
technically getCompletedReviewCountsForReviewForms wasn't orphaned by any work in 6263, so perhaps a better idea is to remove it as part of a "dead code removal" ticket (or tickets). I can add it to this patch, too, but it's probably not the only function that's still in there but never gets used.
Comment 4 Alec Smecher 2011-06-07 09:50:22 PDT
Fine with me either way, but don't forget to file it.
Comment 5 Mike Kamermans 2011-06-07 11:58:59 PDT
created a new ticket for this (#6674)
Comment 6 Alec Smecher 2011-06-07 12:29:55 PDT
Applied to OMP; bug #6263 needs to be committed to OJS dev and stable, and ported to OCS dev and stable, before this can be committed there.